It is currently Sun Apr 22, 2018 3:37 pm


GLX_EXT_swap_control not supported

Anomaly Warzone Earth - all that relates to our game and Linux. Technicall support for Linux - if possible, that is.

GLX_EXT_swap_control not supported

Postby rsilva4 » Mon Feb 13, 2012 7:29 pm

This is my problem:

Code: Select all
~$ anomaly
GLX_EXT_swap_control not supported, unable to set vertical sync.
Extension EXT_texture_compression_s3tc not supported. Shutting down the game.


And here is my system:

Code: Select all
processor   : 3
vendor_id   : GenuineIntel
cpu family   : 6
model      : 42
model name   : Intel(R) Core(TM) i5-2520M CPU @ 2.50GHz



Code: Select all
~$ cat /proc/meminfo
MemTotal:        8103924 kB


Code: Select all
:~$ lsb_release -a
No LSB modules are available.
Distributor ID:   Ubuntu
Description:   Ubuntu 11.10
Release:   11.10
Codename:   oneiric


Thanks in advance!
rsilva4
 
Posts: 1
Joined: Mon Feb 13, 2012 7:22 pm

Re: GLX_EXT_swap_control not supported

Postby lvella » Thu Feb 16, 2012 1:58 pm

"GLX_EXT_swap_control not supported" is not a fatal error. The fatal error e the one you get below: "Extension EXT_texture_compression_s3tc not supported. Shutting down the game."

What is your video driver? You can know it running glxinfo and looking at this info (this is mine):

Code: Select all
...
OpenGL vendor string: X.Org
OpenGL renderer string: Gallium 0.4 on AMD RV770
OpenGL version string: 2.1 Mesa 8.0
...


You are probably also using Mesa as your OpenGL implementation (for Intel or Radeon card), what means you need to somehow install the 32bit version of the library libtxc_dxtn.so (I say 32 bits because the game is always 32 bits, despite what the packaging says). This library will enable support for GL_EXT_texture_compression_s3tc, whose lack is killing the game.

Note that even if you install the library, you might be unable to run the game: many users are unable to start the game on Linux even with S3TC enabled. See the other threads, specifically this.
lvella
 
Posts: 6
Joined: Wed Feb 08, 2012 9:35 pm

Re: GLX_EXT_swap_control not supported

Postby PauletteG » Thu Jun 14, 2012 12:29 pm

Hello! I have just one question for you - is it really possible to post here the description of my problem and receive the answer just for free? If it is so, it will be absolutely amazing!
PauletteG
 
Posts: 1
Joined: Thu Jun 14, 2012 12:20 pm

Re: GLX_EXT_swap_control not supported

Postby admin » Fri Jun 15, 2012 10:37 am

We'll do our best :)
admin
Site Admin
 
Posts: 504
Joined: Thu Mar 31, 2011 7:28 pm

Re: GLX_EXT_swap_control not supported

Postby wiki1995 » Tue Nov 12, 2013 12:47 pm

I think you should update your direcxt files, and update drivers :)
wiki1995
 
Posts: 2
Joined: Thu Nov 07, 2013 6:18 pm

Re: GLX_EXT_swap_control not supported

Postby kaska21812 » Fri Dec 13, 2013 1:33 pm

Did it work?
kaska21812
 
Posts: 4
Joined: Tue Dec 10, 2013 1:49 pm


Re: GLX_EXT_swap_control not supported

Postby madooeiei » Wed May 18, 2016 5:06 am

Did it work?
gclub online
madooeiei
 
Posts: 168
Joined: Sat Oct 03, 2015 9:27 am


Return to Anomaly Warzone Earth - all that relates to our game on Linux. Technicall support for Linux.

Who is online

Users browsing this forum: No registered users and 1 guest

cron